{"openapi":"3.1.0","info":{"title":"Ragify","version":"v1"},"paths":{"/api/v1/call/{widget_id}":{"post":{"tags":["Calling"],"summary":"Make a call","description":"To make an outbound call to a given telephone number","operationId":"make_a_call_api_v1_call__widget_id__post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"widget_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","description":"Widget ID to be used for initiating the call. It must be connected to Twilio, Plivo or Telnyx.","title":"Widget Id"},"description":"Widget ID to be used for initiating the call. It must be connected to Twilio, Plivo or Telnyx."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MakeCallPayload","description":"Payload containing the phone number and other details."}}}},"responses":{"201":{"description":"Call successfully initiated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_Call_"}}}},"400":{"description":"Invalid input, such as malformed phone number","content":{"application/json":{"example":{"detail":"Couldn't authenticate your Twilio account"}}}},"401":{"description":"Authentication credentials are missing or invalid","content":{"application/json":{"example":{"detail":"Invalid authentication credentials"}}}},"404":{"description":"Widget not found or not configured for telephony","content":{"application/json":{"example":{"detail":"Invalid Widget ID"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"example":{"detail":"Too Many Requests"},"schema":{"$ref":"#/components/schemas/HTTP429Response"}}}},"500":{"description":"Internal server error"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/call/{widget_id}/contacts":{"post":{"tags":["Calling"],"summary":"Bulk calling","description":"To initiate calls to a list of contacts in bulk","operationId":"make_calls_to_contacts_api_v1_call__widget_id__contacts_post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"widget_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","description":"Widget ID to be used for initiating the call. It must be connected to Twilio, Plivo or Telnyx.","title":"Widget Id"},"description":"Widget ID to be used for initiating the call. It must be connected to Twilio, Plivo or Telnyx."}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CampaignMetadata","description":"Payload containing the list of contact IDs and other details."}}}},"responses":{"200":{"description":"Campaign has been qeueud","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase"},"example":{"status":"Campaign has been queued"}}}},"401":{"description":"Authentication credentials are missing or invalid","content":{"application/json":{"example":{"detail":"Invalid authentication credentials"}}}},"404":{"description":"Widget not found or not one of the supported widgets for call campaign","content":{"application/json":{"example":{"detail":"Invalid Widget ID"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"example":{"detail":"Too Many Requests"},"schema":{"$ref":"#/components/schemas/HTTP429Response"}}}},"500":{"description":"Internal server error"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/call/disconnect/{conversation_id}":{"patch":{"tags":["Calling"],"summary":"Disconnect call","description":"To disconnect an active call","operationId":"disconnect_call_api_v1_call_disconnect__conversation_id__patch","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"conversation_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Conversation Id"}}],"responses":{"200":{"description":"Call disconnect initiated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase"},"example":{"status":"Call disconnect initiated"}}}},"401":{"description":"Authentication credentials are missing or invalid","content":{"application/json":{"example":{"detail":"Invalid authentication credentials"}}}},"404":{"description":"Invalid conversation","content":{"application/json":{"example":{"detail":"Invalid conversation ID"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"example":{"detail":"Too Many Requests"},"schema":{"$ref":"#/components/schemas/HTTP429Response"}}}},"500":{"description":"Internal server error"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/messaging/{widget_id}":{"post":{"tags":["Messaging"],"summary":"Send A Message","description":"To send a text message to a given telephone number or a contact\n- **widget_id**: Widget ID to be used for initiating the call. It must be connected to WhatsApp or SMS.\n- **to**: phone number of the recipient. should contain the country code. For ex: 16501111234 \n- **contact_id**: contact ID to whom the message is to be sent. (either to or contact_id must be given)\n- **message**: text message to be sent.\n- **start_new_conversation**: whether to start a new conversation or pick the latest.","operationId":"send_a_message_api_v1_messaging__widget_id__post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"widget_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Widget Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendMessagePayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/messaging/whatsapp/templates":{"get":{"tags":["Messaging"],"summary":"Get Whatsapp Templates","description":"Returns the list of approved WhatsApp message templates for a given widget.\nProxies to the Meta Graph API so the frontend never needs the access token.","operationId":"get_whatsapp_templates_api_v1_messaging_whatsapp_templates_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"widget_id","in":"query","required":true,"schema":{"type":"string","format":"uuid","description":"WhatsApp widget ID","title":"Widget Id"},"description":"WhatsApp widget ID"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/messaging/{widget_id}/contacts":{"post":{"tags":["Messaging"],"summary":"Send Messages To Contacts","description":"To send messages to a list of contacts in bulk\n- **widget_id**: Widget ID to be used for sending the message. It must be connected to WhatsApp or SMS.\n- **contact_ids**: list of contact IDs to whom the message is to be sent.\n- **message**: text message to be sent.\n- **start_new_conversation**: whether to start a new conversation or pick the latest.","operationId":"send_messages_to_contacts_api_v1_messaging__widget_id__contacts_post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"widget_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Widget Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CampaignMetadata"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/conversation":{"get":{"tags":["Conversation"],"summary":"Get List Of Conversations","description":"Gets the list of conversations for assistant_id filter by daterange in descending order","operationId":"get_list_of_conversations_api_v1_conversation_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"date_from","in":"query","required":true,"schema":{"type":"string","format":"date","title":"Date From"}},{"name":"date_to","in":"query","required":true,"schema":{"type":"string","format":"date","title":"Date To"}},{"name":"assistant_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Assistant Id"}},{"name":"intent_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Intent Id"}},{"name":"includes_voice","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Includes Voice"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_ConversationMetadata_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/conversation/{conversation_id}/transcript":{"get":{"tags":["Conversation"],"summary":"Get Transcript Of A Conversation","description":"Get a complete transcript of a given **conversation_id**","operationId":"get_transcript_of_a_conversation_api_v1_conversation__conversation_id__transcript_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"conversation_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Conversation Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/conversation/by-contact/{contact_id}":{"get":{"tags":["Conversation"],"summary":"Get List Of Conversations By Contact Id","description":"Get the list of Conversations linked to a **contact_id**","operationId":"get_list_of_conversations_by_contact_id_api_v1_conversation_by_contact__contact_id__get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"contact_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Contact Id"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_IConversationRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/conversation/{conversation_id}":{"get":{"tags":["Conversation"],"summary":"Get Conversation By Id","description":"Gets the conversation by its id","operationId":"get_conversation_by_id_api_v1_conversation__conversation_id__get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"conversation_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Conversation Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponseBase_IConversationRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Conversation"],"summary":"Delete Conversation By Id","description":"Delete conversation and its chat history by its id","operationId":"delete_conversation_by_id_api_v1_conversation__conversation_id__delete","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"conversation_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Conversation Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/conversation/{conversation_id}/pause":{"patch":{"tags":["Conversation"],"summary":"Pause Conversation","description":"Pause or resume AI for a conversation. When paused the AI will not respond\nto incoming messages — the agent replies directly via the send message endpoint.","operationId":"pause_conversation_api_v1_conversation__conversation_id__pause_patch","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"conversation_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Conversation Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PauseConversationPayload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponseBase_IConversationRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/conversation/{conversation_id}/close":{"post":{"tags":["Conversation"],"summary":"Close Conversation","description":"Close a conversation. Sets is_closed=true so the next inbound message\nstarts a fresh conversation. Also re-enables AI (clears ai_paused).","operationId":"close_conversation_api_v1_conversation__conversation_id__close_post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"conversation_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Conversation Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponseBase_IConversationRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/conversation/multiple":{"delete":{"tags":["Conversation"],"summary":"Delete Bulk Conversations By Ids","description":"Delete  conversations in bulk","operationId":"delete_bulk_conversations_by_ids_api_v1_conversation_multiple_delete","requestBody":{"content":{"application/json":{"schema":{"items":{"type":"string","format":"uuid"},"type":"array","title":"Conversation Ids"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Your API Key":[]},{"HTTPBearer":[]}]}},"/api/v1/contact/upsert":{"post":{"tags":["Contact"],"summary":"Upsert Contact By Email Or Phone Number","description":"Upsert a contact using email or phone number.\n- **phone_number**: phone number of the contact including the country code. For ex: 16501111234\n- **email**: email address of the contact.","operationId":"upsert_contact_by_email_or_phone_number_api_v1_contact_upsert_post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"first_name","in":"query","required":true,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"First Name"}},{"name":"last_name","in":"query","required":true,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Last Name"}},{"name":"email","in":"query","required":true,"schema":{"anyOf":[{"type":"string","format":"email"},{"type":"null"}],"title":"Email"}},{"name":"phone_number","in":"query","required":true,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Phone Number"}}],"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_IContactRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/contact":{"get":{"tags":["Contact"],"summary":"Get List Of Contacts","description":"Retrieve Contact.\nScoped to the active team (X-Team-Id header) when set, otherwise personal.","operationId":"get_list_of_contacts_api_v1_contact_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_IContactRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/contact/{contact_id}":{"get":{"tags":["Contact"],"summary":"Get Contact By Id","description":"Gets an contact by its id","operationId":"get_contact_by_id_api_v1_contact__contact_id__get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"contact_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Contact Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponseBase_IContactRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["Contact"],"summary":"Update Contact By Id","description":"Update contact","operationId":"update_contact_by_id_api_v1_contact__contact_id__put","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"contact_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Contact Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IContactUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPutResponseBase_IContactUpdate_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Contact"],"summary":"Delete Contact By Id","description":"Delete an contact by its id","operationId":"delete_contact_by_id_api_v1_contact__contact_id__delete","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"contact_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Contact Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/contact/multiple":{"delete":{"tags":["Contact"],"summary":"Bulk Delete Contacts","description":"Delete contacts in bulk","operationId":"bulk_delete_contacts_api_v1_contact_multiple_delete","requestBody":{"content":{"application/json":{"schema":{"items":{"type":"string","format":"uuid"},"type":"array","title":"Contact Ids"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Your API Key":[]},{"HTTPBearer":[]}]}},"/api/v1/assistant":{"post":{"tags":["Assistant"],"summary":"Create Assistant","description":"Create a new assistant","operationId":"create_assistant_api_v1_assistant_post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IAssistantCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_IAssistantRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["Assistant"],"summary":"Get List Of Assistants","description":"Retrieve assistants.","operationId":"get_list_of_assistants_api_v1_assistant_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_IAssistantRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/assistant/{assistant_id}":{"get":{"tags":["Assistant"],"summary":"Get Assistant By Id","description":"Gets an assistant by its id","operationId":"get_assistant_by_id_api_v1_assistant__assistant_id__get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"assistant_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Assistant Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponseBase_IAssistantRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Assistant"],"summary":"Delete Assistant By Id","operationId":"delete_assistant_by_id_api_v1_assistant__assistant_id__delete","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"assistant_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","description":"The UUID id of the assistant","title":"Assistant Id"},"description":"The UUID id of the assistant"}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["Assistant"],"summary":"Update Assistant By Id","description":"Update an Assistant","operationId":"update_assistant_by_id_api_v1_assistant__assistant_id__put","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"assistant_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","description":"The UUID id of the assistant","title":"Assistant Id"},"description":"The UUID id of the assistant"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IAssistantUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPutResponseBase_IAssistantRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/assistant/{assistant_id}/data_source/{datasource_id}":{"post":{"tags":["Assistant"],"summary":"Add Datasource To Assistant","description":"add an existing data source to an assistant","operationId":"add_datasource_to_assistant_api_v1_assistant__assistant_id__data_source__datasource_id__post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"datasource_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Datasource Id"}},{"name":"assistant_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","description":"The UUID id of the assistant","title":"Assistant Id"},"description":"The UUID id of the assistant"}],"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_IAssistantRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/assistant/{assistant_id}/intent/{intent_id}":{"post":{"tags":["Assistant"],"summary":"Add Intent To Assistant","description":"add an intent to an assistant","operationId":"add_intent_to_assistant_api_v1_assistant__assistant_id__intent__intent_id__post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"intent_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Intent Id"}},{"name":"assistant_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","description":"The UUID id of the assistant","title":"Assistant Id"},"description":"The UUID id of the assistant"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"default":{},"title":"Attributes"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_ILinkAssistantIntentRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/assistant/{assistant_id}/widgets":{"get":{"tags":["Assistant"],"summary":"Get List Of Widgets Linked To Assistant Id","description":"Retrieve widgets attached to the assistant","operationId":"get_list_of_widgets_linked_to_assistant_id_api_v1_assistant__assistant_id__widgets_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"assistant_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Assistant Id"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/app__schemas__response_schema__IGetResponsePaginated_IWidgetRead___1"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/assistant/{assistant_id}/data_sources":{"get":{"tags":["Assistant"],"summary":"Get List Of Data Sources Linked To Assistant Id","description":"Retrieve data sources. Requires admin or manager role\n\nRequired roles:\n- admin\n- manager","operationId":"get_list_of_data_sources_linked_to_assistant_id_api_v1_assistant__assistant_id__data_sources_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"assistant_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Assistant Id"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_IDataSourceRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/assistant/{assistant_id}/intents":{"get":{"tags":["Assistant"],"summary":"Get List Of Intents Linked To Assistant Id","description":"Retrieve intents linked to the assistant","operationId":"get_list_of_intents_linked_to_assistant_id_api_v1_assistant__assistant_id__intents_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"assistant_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Assistant Id"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_IIntentRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/widget":{"post":{"tags":["Widget"],"summary":"Create Widget","description":"Create a new assistant","operationId":"create_widget_api_v1_widget_post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IWidgetCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_IWidgetRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["Widget"],"summary":"Get List Of Widgets","description":"Retrieve data sources. Requires admin or manager role","operationId":"get_list_of_widgets_api_v1_widget_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/app__schemas__response_schema__IGetResponsePaginated_IWidgetRead___2"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/widget/{widget_id}":{"get":{"tags":["Widget"],"summary":"Get Widget By Id","description":"Gets a widget by its id","operationId":"get_widget_by_id_api_v1_widget__widget_id__get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"widget_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Widget Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponseBase_IWidgetRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Widget"],"summary":"Delete Widget By Id","description":"Delete a widget by its id","operationId":"delete_widget_by_id_api_v1_widget__widget_id__delete","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"widget_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Widget Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["Widget"],"summary":"Update Widget By Id","description":"Update a Widget","operationId":"update_widget_by_id_api_v1_widget__widget_id__put","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"widget_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Widget Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IWidgetUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPutResponseBase_IWidgetRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/datasource":{"post":{"tags":["Data Source"],"summary":"Create Data Source","description":"Create a new datasource","operationId":"create_data_source_api_v1_datasource_post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IDataSourceCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_IDataSourceRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["Data Source"],"summary":"Get List Of Data Sources","description":"Retrieve data sources. Requires admin or manager role\n\nRequired roles:\n- admin\n- manager","operationId":"get_list_of_data_sources_api_v1_datasource_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_IDataSourceRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/datasource/{datasource_id}/file":{"post":{"tags":["Data Source"],"summary":"Add Datasourcefile","description":"add a new file to a datasource","operationId":"add_datasourcefile_api_v1_datasource__datasource_id__file_post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"datasource_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Datasource Id"}},{"name":"ds_type","in":"query","required":true,"schema":{"anyOf":[{"$ref":"#/components/schemas/IDSEnum"},{"type":"null"}],"title":"Ds Type"}},{"name":"name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"}},{"name":"description","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"}},{"name":"org_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Org Id"}}],"requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_add_datasourcefile_api_v1_datasource__datasource_id__file_post"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_IDataSourceFileRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/datasource/{datasource_id}/collection":{"post":{"tags":["Data Source"],"summary":"Add Datasourcefile Collection","description":"add a new collection file to a datasource","operationId":"add_datasourcefile_collection_api_v1_datasource__datasource_id__collection_post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"datasource_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Datasource Id"}}],"requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_add_datasourcefile_collection_api_v1_datasource__datasource_id__collection_post"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_IDataSourceRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/datasource/{datasource_id}/text_blob":{"post":{"tags":["Data Source"],"summary":"Add Datasourcefile Text Blob","description":"add a new file to a datasource","operationId":"add_datasourcefile_text_blob_api_v1_datasource__datasource_id__text_blob_post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"datasource_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Datasource Id"}},{"name":"ds_type","in":"query","required":true,"schema":{"anyOf":[{"$ref":"#/components/schemas/IDSEnum"},{"type":"null"}],"title":"Ds Type"}},{"name":"name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"}},{"name":"description","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"}},{"name":"org_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Org Id"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"default":{},"title":"Attributes"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_IDataSourceFileRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/datasource/{datasource_id}/{datasourcefile_id}/file":{"put":{"tags":["Data Source"],"summary":"Add Datasourcefile","description":"add a new file to a datasource","operationId":"add_datasourcefile_api_v1_datasource__datasource_id___datasourcefile_id__file_put","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"datasource_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Datasource Id"}},{"name":"datasourcefile_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Datasourcefile Id"}}],"requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_add_datasourcefile_api_v1_datasource__datasource_id___datasourcefile_id__file_put"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_IDataSourceFileRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/datasource/{datasource_id}":{"get":{"tags":["Data Source"],"summary":"Get Datasource By Id","description":"Gets a datasource by its id","operationId":"get_datasource_by_id_api_v1_datasource__datasource_id__get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"datasource_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Datasource Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponseBase_IDataSourceRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Data Source"],"summary":"Delete Datasource By Id","description":"Deletes a datasource by its id","operationId":"delete_datasource_by_id_api_v1_datasource__datasource_id__delete","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"datasource_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Datasource Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/datasource/{datasource_id}/data_source_files":{"get":{"tags":["Data Source"],"summary":"Get List Of Data Source Files For Data Source Id","description":"Gets datasourcefiles for a given datasource","operationId":"get_list_of_data_source_files_for_data_source_id_api_v1_datasource__datasource_id__data_source_files_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"datasource_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Datasource Id"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_IDataSourceFileRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/datasource/{datasource_id}/assistants":{"get":{"tags":["Data Source"],"summary":"Get List Of Assistants For Datasource Id","description":"Gets assistants for a given datasource","operationId":"get_list_of_assistants_for_datasource_id_api_v1_datasource__datasource_id__assistants_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"datasource_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Datasource Id"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_IAssistantRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/datasource/{datasource_id}/assistant/{assistant_id}":{"delete":{"tags":["Data Source"],"summary":"Delete Linked Assistant Datasource","description":"Linked Assitant Deletes a datasource by its","operationId":"delete_linked_assistant_datasource_api_v1_datasource__datasource_id__assistant__assistant_id__delete","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"datasource_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Datasource Id"}},{"name":"assistant_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Assistant Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/datasource/datasourcefile/{datasourcefile_id}":{"delete":{"tags":["Data Source"],"summary":"Delete Datasourcefile By Id","description":"Deletes a datasource file by its id","operationId":"delete_datasourcefile_by_id_api_v1_datasource_datasourcefile__datasourcefile_id__delete","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"datasourcefile_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Datasourcefile Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/user":{"get":{"tags":["User"],"summary":"Get My Data","description":"Gets my user profile information","operationId":"get_my_data_api_v1_user_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponseBase_IUserRead_"}}}}},"security":[{"Your API Key":[]},{"HTTPBearer":[]}]}},"/api/v1/user/{user_id}":{"put":{"tags":["User"],"summary":"Update User Profile","description":"Update the User Profile","operationId":"update_user_profile_api_v1_user__user_id__put","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"The UUID id of the user"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IUserUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPutResponseBase_IUserRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/user/UserWhatsApp":{"post":{"tags":["User"],"summary":"Create Userwhatsapp","description":"Create new userwhatsapp","operationId":"create_userwhatsapp_api_v1_user_UserWhatsApp_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IUserWhatsAppCreate"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_IUserWhatsAppCreate_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Your API Key":[]},{"HTTPBearer":[]}]}},"/api/v1/user/list/UserWhatsApp":{"get":{"tags":["User"],"summary":"Read Userwhatsapp List","description":"Retrieve all Userwhatsapp","operationId":"read_userwhatsapp_list_api_v1_user_list_UserWhatsApp_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_IUserWhatsAppRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/user/{userwhatsapp_id}/UserWhatsApp":{"get":{"tags":["User"],"summary":"Get Userwhatsapp By Id","description":"Gets an userwhatsapp by its id","operationId":"get_userwhatsapp_by_id_api_v1_user__userwhatsapp_id__UserWhatsApp_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"userwhatsapp_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Userwhatsapp Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponseBase_IUserWhatsAppRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["User"],"summary":"Delete Userwhatsapp By Id","description":"Delete an userwhatsapp by its id","operationId":"delete_userwhatsapp_by_id_api_v1_user__userwhatsapp_id__UserWhatsApp_delete","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"userwhatsapp_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Userwhatsapp Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["User"],"summary":"Update Userwhatsapp By Id","description":"Update userwhatsapp","operationId":"update_userwhatsapp_by_id_api_v1_user__userwhatsapp_id__UserWhatsApp_put","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"userwhatsapp_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Userwhatsapp Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IUserWhatsAppUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPutResponseBase_IUserWhatsAppUpdate_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/user/create_live_agent":{"post":{"tags":["User"],"summary":"Create Live Agent","description":"Creates a new user with role agent\n\nRequired roles:\n- admin","operationId":"create_live_agent_api_v1_user_create_live_agent_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IUserCreate"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Your API Key":[]},{"HTTPBearer":[]}]}},"/api/v1/user/link-agent-assistants/":{"post":{"tags":["User"],"summary":"Link Agent Assistants","operationId":"link_agent_assistants_api_v1_user_link_agent_assistants__post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"agent_id","in":"query","required":true,"schema":{"type":"string","format":"uuid","title":"Agent Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid"},"title":"Assistant Ids"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/user/linked_assistants_with_agent/":{"get":{"tags":["User"],"summary":"Linked Assistants With Agent","operationId":"linked_assistants_with_agent_api_v1_user_linked_assistants_with_agent__get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"agent_user_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Agent User Id"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_AgentAssistantMetadata_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/user/get_agent_list/":{"get":{"tags":["User"],"summary":"Get Agent List","operationId":"get_agent_list_api_v1_user_get_agent_list__get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_IUserRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/user/remove_agent/{agent_id}":{"delete":{"tags":["User"],"summary":"Remove Agent","operationId":"remove_agent_api_v1_user_remove_agent__agent_id__delete","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Agent Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/users/me/device_token":{"post":{"tags":["User"],"summary":"Register FCM device token for push notifications","operationId":"register_device_token_api_v1_users_me_device_token_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeviceTokenPayload"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Your API Key":[]},{"HTTPBearer":[]}]}},"/api/v1/users/me/device_token/{token}":{"delete":{"tags":["User"],"summary":"Unregister FCM device token","operationId":"unregister_device_token_api_v1_users_me_device_token__token__delete","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"token","in":"path","required":true,"schema":{"type":"string","title":"Token"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/intent":{"post":{"tags":["Intent"],"summary":"Create Intent","description":"Create a new intent","operationId":"create_intent_api_v1_intent_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IIntentCreate"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_IIntentRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Your API Key":[]},{"HTTPBearer":[]}]}},"/api/v1/intent/list":{"get":{"tags":["Intent"],"summary":"Read Intents List","description":"Retrieve intents (both user & system).\nScoped to the active team (X-Team-Id header) when set, otherwise personal.","operationId":"read_intents_list_api_v1_intent_list_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_IIntentRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/intent/get_my_details":{"get":{"tags":["Intent"],"summary":"Read Intents List","description":"Retrieve intents with connected metadata.\nScoped to the active team (X-Team-Id header) when set, otherwise personal.","operationId":"read_intents_list_api_v1_intent_get_my_details_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_IntentMetadata_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/intent/list_system":{"get":{"tags":["Intent"],"summary":"Read System Intents List","description":"Retrieve intents.","operationId":"read_system_intents_list_api_v1_intent_list_system_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_IIntentRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/intent/{intent_id}":{"get":{"tags":["Intent"],"summary":"Get Intent By Id","description":"Gets an intent by its id","operationId":"get_intent_by_id_api_v1_intent__intent_id__get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"intent_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Intent Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponseBase_IIntentRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Intent"],"summary":"Delete Widget By Id","description":"Delete an intent by its id","operationId":"delete_widget_by_id_api_v1_intent__intent_id__delete","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"intent_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Intent Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/capturedintent":{"get":{"tags":["Intent"],"summary":"Read Capturedintents List","description":"Retrieve Captured Intents.","operationId":"read_capturedintents_list_api_v1_capturedintent_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_ICapturedIntentRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/prompt":{"post":{"tags":["Prompt"],"summary":"Create Prompt","description":"Create a new prompt","operationId":"create_prompt_api_v1_prompt_post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPromptCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_IPromptRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["Prompt"],"summary":"Read Prompt List","description":"Retrieve prompts.\nScoped to the active team (X-Team-Id header) when set, otherwise personal.","operationId":"read_prompt_list_api_v1_prompt_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_IPromptRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/prompt/{prompt_id}":{"get":{"tags":["Prompt"],"summary":"Get Prompt By Id","description":"Gets an prompt by its id","operationId":"get_prompt_by_id_api_v1_prompt__prompt_id__get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"prompt_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Prompt Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponseBase_IPromptRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Prompt"],"summary":"Delete Prompt By Id","description":"Delete an prompt by its id","operationId":"delete_prompt_by_id_api_v1_prompt__prompt_id__delete","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"prompt_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Prompt Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["Prompt"],"summary":"Update Prompt By Id","description":"Update Prompt","operationId":"update_prompt_by_id_api_v1_prompt__prompt_id__put","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"prompt_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","description":"The UUID id of the assistant","title":"Prompt Id"},"description":"The UUID id of the assistant"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPromptUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPutResponseBase_IPromptUpdate_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/voice/custom_voice":{"post":{"tags":["Voice"],"summary":"Create Custom Voice","description":"Create a new user custom voice","operationId":"create_custom_voice_api_v1_voice_custom_voice_post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Name"}},{"name":"description","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"}}],"requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_create_custom_voice_api_v1_voice_custom_voice_post"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_IUserCustomVoiceCreate_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/voice":{"get":{"tags":["Voice"],"summary":"Get User Custom Voice List","description":"Retrieve list of user custom voice","operationId":"get_user_custom_voice_list_api_v1_voice_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_IUserCustomVoiceRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/voice/voicestt":{"get":{"tags":["Voice"],"summary":"Get Speechtotext List","operationId":"get_speechtotext_list_api_v1_voice_voicestt_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/voice/voices":{"get":{"tags":["Voice"],"summary":"Get List Of Voices","description":"Returns the list of all enabled for both system & owned voices","operationId":"get_list_of_voices_api_v1_voice_voices_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"me","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Me"}},{"name":"language","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Language"}},{"name":"provider","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/IProviderEnum"},{"type":"null"}],"title":"Provider"}},{"name":"provider_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Provider Id"}},{"name":"owner_type","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/IOwnerType"},{"type":"null"}],"title":"Owner Type"}},{"name":"search_term","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search Term"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":1000,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/voice/change_status/{voicetts_id}":{"patch":{"tags":["Voice"],"summary":"Change Status Voicetts","operationId":"change_status_voicetts_api_v1_voice_change_status__voicetts_id__patch","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"voicetts_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Voicetts Id"}},{"name":"status","in":"query","required":true,"schema":{"type":"boolean","title":"Status"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/voice/voice_preview":{"get":{"tags":["Voice"],"summary":"Get Voice Preview","operationId":"get_voice_preview_api_v1_voice_voice_preview_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"voicetts_id","in":"query","required":true,"schema":{"type":"string","format":"uuid","title":"Voicetts Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponseBase_VoiceTTSRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/voice/syncing_providers":{"get":{"tags":["Voice"],"summary":"Syncing Providers","operationId":"syncing_providers_api_v1_voice_syncing_providers_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/api/v1/voice/sync_by_provider_id":{"get":{"tags":["Voice"],"summary":"Sync Voicetts By Provider Id","operationId":"sync_voicetts_by_provider_id_api_v1_voice_sync_by_provider_id_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"provider_id","in":"query","required":true,"schema":{"type":"string","format":"uuid","title":"Provider Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/voice/languages":{"get":{"tags":["Voice"],"summary":"Get Supported Languages","operationId":"get_supported_languages_api_v1_voice_languages_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}},"security":[{"Your API Key":[]},{"HTTPBearer":[]}]}},"/api/v1/tool":{"post":{"tags":["Tool"],"summary":"Create Tool","description":"Create a new tool","operationId":"create_tool_api_v1_tool_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IToolCreate"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_IToolCreate_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Your API Key":[]},{"HTTPBearer":[]}]}},"/api/v1/tool/list":{"get":{"tags":["Tool"],"summary":"Read Tool List","description":"Retrieve tools.\nScoped to the active team (X-Team-Id header) when set, otherwise personal.","operationId":"read_tool_list_api_v1_tool_list_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_IToolRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/tool/{tool_id}":{"get":{"tags":["Tool"],"summary":"Get Tool By Id","description":"Gets an tool by its id","operationId":"get_tool_by_id_api_v1_tool__tool_id__get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"tool_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Tool Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponseBase_IToolRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Tool"],"summary":"Delete Tool By Id","description":"Delete an tool by its id","operationId":"delete_tool_by_id_api_v1_tool__tool_id__delete","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"tool_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Tool Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["Tool"],"summary":"Update Tool By Id","description":"Update Tool","operationId":"update_tool_by_id_api_v1_tool__tool_id__put","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"tool_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Tool Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IToolUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPutResponseBase_IToolUpdate_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/tool/{tool_id}/LinkToolUser":{"post":{"tags":["Tool"],"summary":"Create Link Tool User","description":"Link Tool with User","operationId":"create_link_tool_user_api_v1_tool__tool_id__LinkToolUser_post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"tool_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Tool Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ILinkToolUserCreate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_ILinkToolUserRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["Tool"],"summary":"Get Link Tool User","description":"Retrieve linked tool and user","operationId":"get_link_tool_user_api_v1_tool__tool_id__LinkToolUser_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"tool_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Tool Id"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_ILinkToolUserRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Tool"],"summary":"Delete Link User Tool Id","description":"To delete a link between tool and user","operationId":"delete_link_user_tool_id_api_v1_tool__tool_id__LinkToolUser_delete","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"tool_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Tool Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/tool/LinkToolUser/list":{"get":{"tags":["Tool"],"summary":"Get Link Tool User","description":"Retrieve linked tooluser","operationId":"get_link_tool_user_api_v1_tool_LinkToolUser_list_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_ILinkToolUserRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/tool/LinkToolUser/{tool_user_id}":{"get":{"tags":["Tool"],"summary":"Get Link Tool User","description":"Retrieve a single tool_user","operationId":"get_link_tool_user_api_v1_tool_LinkToolUser__tool_user_id__get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"tool_user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Tool User Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponseBase_ILinkToolUserRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/tool/LinkToolUser/bulk_list_functions":{"post":{"tags":["Tool"],"summary":"Get Tool Functions For Bulk Link Tool User","description":"Retrieve all the functions to a LinkToolUser","operationId":"get_tool_functions_for_bulk_link_tool_user_api_v1_tool_LinkToolUser_bulk_list_functions_post","requestBody":{"content":{"application/json":{"schema":{"items":{"type":"string","format":"uuid"},"type":"array","title":"Tool User Ids"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Your API Key":[]},{"HTTPBearer":[]}]}},"/api/v1/tool/{tool_id}/tool_function/list":{"get":{"tags":["Tool"],"summary":"Read Tool Toolfunction List","description":"Retrieve all ToolFunction","operationId":"read_tool_toolfunction_list_api_v1_tool__tool_id__tool_function_list_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"tool_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Tool Id"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_IToolFunctionRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/tool/ToolUser/{tool_user_id}/run_static_function":{"post":{"tags":["Tool"],"summary":"Tool User Run Static Function","description":"To execute a tool's static function and return the response","operationId":"tool_user_run_static_function_api_v1_tool_ToolUser__tool_user_id__run_static_function_post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"tool_user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Tool User Id"}}],"requestBody":{"content":{"application/json":{"schema":{"title":"Payload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/tool/ToolUser/{tool_user_id}":{"delete":{"tags":["Tool"],"summary":"Delete Link Tool User Single","description":"To delete a link between tool and user","operationId":"delete_link_tool_user_single_api_v1_tool_ToolUser__tool_user_id__delete","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"tool_user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Tool User Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/tool/{link_tool_user_id}/LinkToolUser":{"put":{"tags":["Tool"],"summary":"Update Link User Tool Id","description":"update link tool user","operationId":"update_link_user_tool_id_api_v1_tool__link_tool_user_id__LinkToolUser_put","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"link_tool_user_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Link Tool User Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ILinkToolUserUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_ILinkToolUserUpdate_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/tool/tools/conversation_sync/list":{"get":{"tags":["Tool"],"summary":"Conversation Sync Tools","operationId":"conversation_sync_tools_api_v1_tool_tools_conversation_sync_list_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}},"security":[{"Your API Key":[]},{"HTTPBearer":[]}]}},"/api/v1/calendar_pool":{"get":{"tags":["Calendar Pool"],"summary":"List Pools","description":"List calendar pools scoped to the active team or personal.","operationId":"list_pools_api_v1_calendar_pool_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_ICalendarPoolRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Calendar Pool"],"summary":"Create Pool","operationId":"create_pool_api_v1_calendar_pool_post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ICalendarPoolCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_ICalendarPoolRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/calendar_pool/{pool_id}":{"get":{"tags":["Calendar Pool"],"summary":"Get Pool","operationId":"get_pool_api_v1_calendar_pool__pool_id__get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"pool_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Pool Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponseBase_ICalendarPoolWithMembersRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["Calendar Pool"],"summary":"Update Pool","operationId":"update_pool_api_v1_calendar_pool__pool_id__put","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"pool_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Pool Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ICalendarPoolUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPutResponseBase_ICalendarPoolRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Calendar Pool"],"summary":"Delete Pool","operationId":"delete_pool_api_v1_calendar_pool__pool_id__delete","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"pool_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Pool Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IDeleteResponseBase_ICalendarPoolRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/calendar_pool/{pool_id}/members":{"get":{"tags":["Calendar Pool"],"summary":"List Members","operationId":"list_members_api_v1_calendar_pool__pool_id__members_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"pool_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Pool Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponseBase_List_ILinkCalendarPoolMemberRead__"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Calendar Pool"],"summary":"Add Member","operationId":"add_member_api_v1_calendar_pool__pool_id__members_post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"pool_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Pool Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ILinkCalendarPoolMemberCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_ILinkCalendarPoolMemberRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/calendar_pool/{pool_id}/members/{member_id}":{"put":{"tags":["Calendar Pool"],"summary":"Update Member","operationId":"update_member_api_v1_calendar_pool__pool_id__members__member_id__put","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"pool_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Pool Id"}},{"name":"member_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Member Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ILinkCalendarPoolMemberUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPutResponseBase_ILinkCalendarPoolMemberRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Calendar Pool"],"summary":"Remove Member","operationId":"remove_member_api_v1_calendar_pool__pool_id__members__member_id__delete","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"pool_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Pool Id"}},{"name":"member_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Member Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IDeleteResponseBase_ILinkCalendarPoolMemberRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/calendar_pool/{pool_id}/available_slots":{"get":{"tags":["Calendar Pool"],"summary":"Available Slots","description":"Merged availability across all active pool members.","operationId":"available_slots_api_v1_calendar_pool__pool_id__available_slots_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"pool_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Pool Id"}},{"name":"start_date","in":"query","required":true,"schema":{"type":"string","title":"Start Date"}},{"name":"end_date","in":"query","required":true,"schema":{"type":"string","title":"End Date"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/calendar_pool/{pool_id}/book":{"post":{"tags":["Calendar Pool"],"summary":"Book","description":"Pick a member by strategy and book on their calendar.\n\nBody: {appointment_date: YYYY-MM-DD, appointment_time: HH:MM, email?, phone?}","operationId":"book_api_v1_calendar_pool__pool_id__book_post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"pool_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Pool Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"title":"Payload"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/workflow":{"get":{"tags":["Workflow"],"summary":"List Workflows","operationId":"list_workflows_api_v1_workflow_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_IWorkflowRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Workflow"],"summary":"Create Workflow","operationId":"create_workflow_api_v1_workflow_post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IWorkflowCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_IWorkflowRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/workflow/{workflow_id}":{"get":{"tags":["Workflow"],"summary":"Get Workflow","operationId":"get_workflow_api_v1_workflow__workflow_id__get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"workflow_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workflow Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponseBase_IWorkflowRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["Workflow"],"summary":"Update Workflow","operationId":"update_workflow_api_v1_workflow__workflow_id__put","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"workflow_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workflow Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IWorkflowUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPutResponseBase_IWorkflowRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Workflow"],"summary":"Delete Workflow","operationId":"delete_workflow_api_v1_workflow__workflow_id__delete","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"workflow_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workflow Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IDeleteResponseBase_IWorkflowRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/workflow/{workflow_id}/runs":{"get":{"tags":["Workflow"],"summary":"List Runs","operationId":"list_runs_api_v1_workflow__workflow_id__runs_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"workflow_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workflow Id"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_IWorkflowRunRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/workflow/{workflow_id}/runs/{run_id}":{"get":{"tags":["Workflow"],"summary":"Get Run","operationId":"get_run_api_v1_workflow__workflow_id__runs__run_id__get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"workflow_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workflow Id"}},{"name":"run_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Run Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponseBase_IWorkflowRunDetailRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/workflow/{workflow_id}/trigger":{"post":{"tags":["Workflow"],"summary":"Trigger Workflow","description":"Run the workflow against the given trigger payload.\n\nExecutes synchronously until the workflow either:\n  - reaches an `end` node (status=done),\n  - returns a wait directive (status=waiting; Celery resumes later — 5c),\n  - or errors (status=failed).","operationId":"trigger_workflow_api_v1_workflow__workflow_id__trigger_post","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"workflow_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Workflow Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IWorkflowRunTrigger"}}}},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_IWorkflowRunRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/form":{"post":{"tags":["Form"],"summary":"Create Form","description":"Create a new form","operationId":"create_form_api_v1_form_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IFormCreate"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPostResponseBase_IFormCreate_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Your API Key":[]},{"HTTPBearer":[]}]}},"/api/v1/form/list":{"get":{"tags":["Form"],"summary":"Read Firm List","description":"Retrieve forms.\nScoped to the active team (X-Team-Id header) when set, otherwise personal.","operationId":"read_firm_list_api_v1_form_list_get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_IFormRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/form/{form_id}":{"get":{"tags":["Form"],"summary":"Get Form By Id","description":"Gets an form by its id","operationId":"get_form_by_id_api_v1_form__form_id__get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"form_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Form Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponseBase_IFormRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Form"],"summary":"Delete Form By Id","description":"Delete an form by its id","operationId":"delete_form_by_id_api_v1_form__form_id__delete","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"form_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Form Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["Form"],"summary":"Update Form By Id","description":"Update variable","operationId":"update_form_by_id_api_v1_form__form_id__put","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"form_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Form Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IFormUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IPutResponseBase_IFormUpdate_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/form/multiple":{"delete":{"tags":["Form"],"summary":"Delete Bulk Forms By Ids","description":"Delete forms in bulk","operationId":"delete_bulk_forms_by_ids_api_v1_form_multiple_delete","requestBody":{"content":{"application/json":{"schema":{"items":{"type":"string","format":"uuid"},"type":"array","title":"Form Ids"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"Your API Key":[]},{"HTTPBearer":[]}]}},"/api/v1/capturedform/{form_id}":{"get":{"tags":["Form"],"summary":"Get Caputedform By Form Id","description":"Gets an captured form by its form_id","operationId":"get_caputedform_by_form_id_api_v1_capturedform__form_id__get","security":[{"Your API Key":[]},{"HTTPBearer":[]}],"parameters":[{"name":"form_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Form Id"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":50,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IGetResponsePaginated_ICapturedFormRead_"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/capturedform/multiple":{"delete":{"tags":["Form"],"summary":"Delete Bulk Captured Form By Ids","description":
[...]
